Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.dynamic
Class DynaConstants

    java.lang.Object
      org.jboss.portal.theme.impl.render.dynamic.DynaConstants

    public final class DynaConstants

extends java.lang.Object

todo: 1/ dirty view state detections 2/ clarify dyna options inheritance semantics 3/ handle security direction provided by the server when the user is not authenticated anymore 4/ disabling based on the user agent capabilities

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `RENDER_OPTIONS` .
`static java.lang.String` | `RENDER_STATUS` .
`static java.lang.String` | `RESOURCE_BASE_URL` The base url property for the resources.
`static java.lang.String` | `SERVER_BASE_URL` The base server URL.
`static java.lang.String` | `VIEW_STATE` The id for view state.

Constructor Summary
`DynaConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_BASE_URL

    public static final java.lang.String RESOURCE_BASE_URL

  The base url property for the resources.

  See Also:
    Constant Field Values

### SERVER_BASE_URL

    public static final java.lang.String SERVER_BASE_URL

  The base server URL.

  See Also:
    Constant Field Values

### VIEW_STATE

    public static final java.lang.String VIEW_STATE

  The id for view state.

  See Also:
    Constant Field Values

### RENDER_OPTIONS

    public static final java.lang.String RENDER_OPTIONS

  .

  See Also:
    Constant Field Values

### RENDER_STATUS

    public static final java.lang.String RENDER_STATUS

  .

  See Also:
    Constant Field Values

Constructor Detail

### DynaConstants

    public DynaConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD